#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: level.pl,v 1.3 2001/06/13 17:40:45 will Exp $
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.
# This handler changes the RAID level

use Cobalt::RAID;
use CCE;

my $cce = new CCE( 'Domain' => 'base-raid' );
$cce->connectfd();

my ($ok, $raid) = $cce->get($cce->event_oid(), 'RAID');
if ( not $ok ) {
	$cce->warn("cantGetRAID");
	$cce->bye("FAIL");
	exit(1);
}

# less than zero raid level indicates a failure to set it up correctly
if ( $raid->{level} < 0 ) {
	$cce->bye("SUCCESS");
	exit(0);
}

my $failed = Cobalt::RAID::raid_changelevels($raid->{level});

if ( $failed ) {
	$cce->warn("RAIDLevelChangeFailed");
	$cce->bye("FAIL");
	exit(1);
}

$cce->bye("SUCCESS");
exit(0);

