#!/usr/bin/perl

use strict;
use lib qw(/usr/sausalito/perl /usr/sausalito/handlers/base/raid);
use warnings;
use SMART;
use CCE;
use Base::Disk qw(disk_getpartitions);

my $DEBUG = 0;

my $cce = new CCE;
$cce->connectfd();

# find which disks to use
my $parthash = disk_getpartitions();
use Data::Dumper;
$DEBUG && print STDERR Dumper($parthash);

my @physicaldrives = ();

foreach my $drive (keys %$parthash) {
    if ($drive =~ /(hd[a-z])$/) {
	push @physicaldrives, $1;
    }
}


$DEBUG && print STDERR Dumper (@physicaldrives);

my $smart_info = get_smart_info(@physicaldrives);

$DEBUG && print STDERR Dumper($smart_info);

my @array = smart_to_array($smart_info);

$DEBUG && print STDERR Dumper(@array);

my $oid = $cce->event_oid();

my ($ok) = $cce->set($oid, 'SMART', { 'snapshot' => $cce->array_to_scalar(@array)});
if (!$ok) {
    $cce->warn('[[base-raid.noSmartSnapshot]]');
    $cce->bye('FAIL');
    exit 1;
}

$cce->bye('SUCCESS');
exit 0;
